#include <stdio.h>
#define MAX 100000
int main()
{
    int N, M, P, Sp, Ai, g, o, J, T, Q, S, Y;
    o=0;
    scanf("%d%d",&N,&M);
    int c[MAX];
    int a[MAX];
    if (N>MAX) return 0;
    else if (N<1) return 0;
    for(Ai=0;Ai<N;Ai++)
        scanf("%d", &a[Ai]);
    int b[N];
    if (M>MAX) return 0;
    else if (M<1) return 0;
    for(P=0;P<(2*M); P++)
        scanf("%d", &b[P]);
    Q=0;
    S=1;
    J=0;
    for(P=0;P<(2*M); P++)
        if (b[Q]==b[P+1])
            b[S]=J+1;
            J=J+1;
        if (P==(2*M)-1)
        Q=Q+1;
        b[S]=b[S+1];
    g=0;
    while(a[g]<N)
    {
        c[T]=a[g]+b[S];
        Y=Y+c[T];
        T=T++;
        g=g++;
    }
    printf("%d", Y);
}